# Arc, a puzzle game about directing laser beams with mirrors

## Sample video

![](demo.gif)

## Controls
Vim style movement keys or WASD keys

- a/h: left
- s/j: down
- w/k: up
- d/l: right
- u: undo
- r: restart
- q: quit

## Running

If you already have BQN and you have it on your path just run `./arc.bqn`

Otherwise:

1. `make` to compile CBQN (`make CC=cc` if clang isn't installed)
2. `make run` to run the game

## License

Arc is licensed as AGPLv3
